Bug 448635 - PackageKit gets updates after resume from suspend/hibernate
PackageKit gets updates after resume from suspend/hibernate
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Robin Norwood
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-05-27 20:03 EDT by Daniel Berrange
Modified: 2008-06-03 04:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-03 04:40:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2008-05-27 20:03:50 EDT
Description of problem:
It appears that packagekit will instantly check for updates when network
re-connects after a resume from suspend/hibernate. The system is already doing
alot of disk I/O at this point in time, and having PK do work causes a
significant delay / poor interactive response after resume. If PK were to delay
its update checks until 5-10 minutes after network reconnects this would give a
much more pleasant user experiance upon resume.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Resume from hibernate
2. Try to use the machine immediately after network has reconnected
Actual results:
Very poor response due to large amounts of I/O from PK   get-updates.py

Expected results:

Additional info:
Comment 1 Richard Hughes 2008-05-28 05:11:53 EDT
In 0.2.1 we wait 10 minutes before doing the check. In the 0.1.x codebase we
wait 10 seconds. Do you think this is of sufficient importance to backport the
new code into 0.1.x for F9? I'm going to be pushing 0.2.3 into F9 in a few weeks
time anyway.
Comment 2 Daniel Berrange 2008-05-28 09:21:30 EDT
Its not super critical - waiting until you're  ready to push 0.2.3 into F9
updates is fine - don't waste time on a short-lived backport.
Comment 3 Richard Hughes 2008-06-03 04:40:40 EDT
Okay, cool, thanks.

Note You need to log in before you can comment on or make changes to this bug.